| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Functions | Variables
advprops.h File Reference

## Classes

class | wxColourPropertyValue
| Because text, background and other colours tend to differ between platforms, wxSystemColourProperty must be able to select between system colour and, when necessary, to pick a custom one. More...
class | wxFontProperty
| Property representing wxFont. More...
class | wxSystemColourProperty
| Has dropdown list of wxWidgets system colours. More...
class | wxColourProperty
class | wxCursorProperty
| Property representing wxCursor. More...
class | wxImageFileProperty
| Property representing image file(name). More...
class | wxMultiChoiceProperty
| Property that manages a value resulting from wxMultiChoiceDialog. More...
class | wxDateProperty
| Property representing wxDateTime. More...
class | wxPGSpinCtrlEditor

## Macros

#define | wxPG_COLOUR_WEB_BASE 0x10000
#define | wxPG_COLOUR_CUSTOM 0xFFFFFF
#define | wxPG_COLOUR_UNSPECIFIED (wxPG_COLOUR_CUSTOM+1)
#define | wxPG_PROP_TRANSLATE_CUSTOM wxPG_PROP_CLASS_SPECIFIC_1
| If set, then match from list is searched for a custom colour. More...

## Functions

const wxString & | wxPGGetDefaultImageWildcard ()

## Variables

wxPGEditor * | wxPGEditor_SpinCtrl
wxPGEditor * | wxPGEditor_DatePickerCtrl

## Macro Definition Documentation

#define wxPG_COLOUR_CUSTOM 0xFFFFFF

#define wxPG_COLOUR_UNSPECIFIED (wxPG_COLOUR_CUSTOM+1)

#define wxPG_COLOUR_WEB_BASE 0x10000

#define wxPG_PROP_TRANSLATE_CUSTOM wxPG_PROP_CLASS_SPECIFIC_1

If set, then match from list is searched for a custom colour.

## Function Documentation

const wxString& wxPGGetDefaultImageWildcard | ( |  | ) |

## Variable Documentation

wxPGEditor* wxPGEditor_DatePickerCtrl

wxPGEditor* wxPGEditor_SpinCtrl